<?php
session_start();
define('MTOP', 1);
$title = 'Восстановление пароля';
require_once ('system/connect.php');
require_once ('system/core.php');
require_once ('system/function.php');
require_once ('head.php');
unreg();
echo '<div class="title3">Восстановление пароля</div>';
$vostanov= '<form action="/password.php" method="POST">
<div class="title">Логин:<br/>
<input type="text" class="input" name="login" maxlength="30" value="" size="20" maxlength="50" /><br/>
Код с картинки:<br/>
<img src="/captha.jpg" alt="*" /><br/>
<input name="kod" type="text" maxlength="5" value="" /><br/>
<input name="ok" type="submit" value="Продолжить" /></form></div>
<div class="title"><a class="link" href="/auth.php">Вход</a><br/>
<a class="link" href="/reg.php">Регистрация</a></div>';
if($_POST['ok'] != null){
if(empty($_POST['login']) OR empty($_POST['kod']))
$error = '<div class="error">Незаполнено одно или несколько полей</div>';
else{
$login = filter($_POST['login']);
$user_isset = mysql_query("SELECT * FROM `users` WHERE `login` = '".$login."'");
if(mysql_num_rows($user_isset) == 0)
$error = '<div class="error">Пользователя с таким логином не существует</div>';
if($_SESSION['kod'] != $_POST['kod'])
$error .= '<div class="error">Код с картинки введен неверно</div>';
}
if(isset($error)){
echo $error;
echo $vostanov;
}
else{
$login = filter($_POST['login']);
$kod = (int)$_POST['kod'];
$users = mysql_query("SELECT * FROM `users` WHERE `login` = '".$login."' LIMIT 1");
$user = mysql_fetch_array($users);
echo '<div class="title"><center>Пароль отправлен на ваш e-mail</center></div>';
$subject = "Востановление пароля";
$body = "Вы ".$user["login"].", запросили восстановление пароля в личном кабинетн в топ-рейтинге http://".$set['home']."<br/><br/>
Пароль: ".$user["password"]."<br/><br/>
С уважением, администрация топ-рейтинга http://".$set['home'];
$headers = "From: ".$set['mail']." \n";
$headers .= "Content-Type: text/html; charset=utf-8\n";
mail($user['mail'], $subject, $body, $headers);
unset($_SESSION["kod"]);
}
}
else echo $vostanov;
require_once ('foot.php');
?>